Bug 55713 - prints wrong values for Disposal method and Color Resolution
prints wrong values for Disposal method and Color Resolution
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: giftrans (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 10:38 EST by Asko Tontti
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 10:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix for the bug. Use parentheses to fix operator precedence errors (1.05 KB, patch)
2001-11-05 10:40 EST, Asko Tontti
no flags Details | Diff

  None (edit)
Description Asko Tontti 2001-11-05 10:38:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011104

Description of problem:
The source code of giftrans has C operator precedence errors which
cause wrong values to be used when printing "Disposal method" and
"Color Resolution".

I have a patch for this bug.

Version-Release number of selected component (if applicable):
  giftrans-1.12.2-9


How reproducible:
Always

Steps to Reproduce:
1. giftrans -L harrycanuck.gif |& grep -i method


Actual Results:
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 5 (to be defined)


Expected Results:
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)
        Disposal Method: 2 (restore to background color)
        Disposal Method: 1 (do not dispose)


Additional info:

Take (or create with GIMP) any animated GIF with different disposal
methods to test.
Comment 1 Asko Tontti 2001-11-05 10:40:47 EST
Created attachment 36462 [details]
fix for the bug. Use parentheses to fix operator precedence errors
Comment 2 Phil Knirsch 2001-11-06 10:42:22 EST
Fixed in rawhide, version giftrans-1.12.2-10

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.